device_type: "qemu"

job_name: "tuxrun@qemu-s390: ltp-smoke"
priority: "medium"
visibility: "public"

context:
    arch: "s390x"
    machine: "s390-ccw-virtio"
    cpu: "max,zpci=on"
    memory: "4G"
    extra_options: ["-no-reboot", "-smp 2"]
    no_kvm: true
    no_network: true
timeouts:
  job:
    minutes: 22
  action:
   minutes: 5
  actions:
    power-off:
      seconds: 30

actions:
- deploy:
    to: tmpfs
    timeout:
      minutes: 5
    os: oe
    images:
      kernel:
        image_arg: '-kernel {kernel} -append "console=ttyS0,115200 rootwait root=/dev/vda net.ifnames=0 debug verbose console_msg_format=syslog"'
        url: "https://storage.tuxboot.com/s390/bzImage"
      rootfs:
        image_arg: "-drive file={rootfs},if=none,format=raw,id=hd0 -device virtio-blk,drive=hd0"
        url: "https://storage.tuxboot.com/s390/rootfs.ext4.zst"
        compression: zstd
        format: ext4
        overlays:
          lava: true
- boot:
    method: qemu
    timeout:
      minutes: 15
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'
- test:
    timeout:
      minutes: 2
    definitions:
    - repository: file://testdef.tar.zst
      lava-signal: kmsg
      from: url
      compression: zstd
      path: automated/linux/ltp/ltp.yaml
      parameters:
        SKIP_INSTALL: 'true'
        TST_CMDFILES: 'smoketest'
        SKIPFILE: 'skipfile-lkft.yaml'
        ENVIRONMENT: 'production'
        TIMEOUT_MULTIPLIER: '5'
        LTP_TMPDIR: '/scratch'
        LTP_INSTALL_PATH: '/opt/ltp/'
        SHARD_NUMBER: 1
        SHARD_INDEX: 1
      name: ltp-smoke
